<?php
/**
 * Image Attachment Template
 *
 * The image attachment template is used when a user is viewing an image attachment page. It 
 * displays a full-sized view of the current image attachment with the attachment description
 * and thumbnail links to the previous and next images.
 * @link http://themehybrid.com/themes/hybrid/attachments/image
 * @link http://codex.wordpress.org/Using_Image_and_File_Attachments
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'hmedia' ); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content">

					<p class="attachment-image">
						<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php the_title_attribute(); ?>" rel="lightbox" type="<?php echo get_post_mime_type(); ?>">
							<img class="aligncenter" src="<?php echo wp_get_attachment_url(); ?>" alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />
						</a>
					</p><!-- .attachment-image -->

					<?php the_content( sprintf( __( 'Continue reading %1$s', 'hybrid' ), the_title( ' "', '"', false ) ) ); ?>

					<?php wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'hybrid' ), 'after' => '</p>' ) ); ?>

				</div><!-- .entry-content -->

				<p class="navigation-attachment">
					<span class="alignleft"><?php previous_image_link(); ?></span>
					<span class="alignright"><?php next_image_link(); ?></span>
				</p><!-- .navigation-attachment -->

				<?php hybrid_after_entry(); // After entry hook ?>

			</div><!-- .hentry -->

			<?php hybrid_after_singular(); // After singular hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data">
				<?php _e( 'Sorry, no images matched your criteria.', 'hybrid' ); ?>
			</p><!-- .no-data -->

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); ?>